/* ------------------------------------------- Common ------------------------------------------- */
body{
	margin: 0px;
	padding: 0px;
}

kbd{
	padding:1px 5px 1px 5px;
	outline: none;
	border:0px solid #ccc!important;
	background: #dcdcdc linear-gradient(#fff, #dcdcdc);
	box-shadow: 0 0 0 1px #aaa inset, 0 1px 1px #aaa;
	border-radius: 3px;
}
kbd.key_img{
	display: inline-block;
    vertical-align: middle;
}
.txtbtn a{
	padding-top:2px;
	display:inline-block;
}


/* ------------------------------------------- Top Bar ------------------------------------------- */

.tbar{
	position: absolute;
	left: 0px;
	top: 0px;
}
.tbar *{
	padding: 0;
	margin: 0;
}
.tbar img{
	display: block;
	border: none;
	position: absolute;
	top: 0px;
}
.tbar table {
	border-collapse: collapse;
	border-spacing: 0px;
}

a.plus, a.minus{
	font-weight:800;
	font-family:Courier New,Courier,monospace;
	font-size:13pt;
	padding-right:20px;
}
a.plus{
	color:#00f;
}
a.minus{
	color:#f00;
}

a.menu_item{
	font-family:Arial;
	font-weight:normal;
	padding:3px 5px 3px 20px;
	margin:3px 0px 3px 0px;
	font-size:10pt;
	color: #000;
	background: #f0f0f0;
/*	box-shadow: 0 0 0 1px #bbb inset, 0 1px 1px #bbb;*/
	box-shadow: 1px 1px 1px #bbb;
	border-right:1px solid #d5d5d5;
	border-bottom:1px solid #d5d5d5;
	display:inline-block;
	vertical-align:baseline;
}
a.menu_item:link, a.menu_item:visited{
	text-decoration:none;
}


a.flat{
	border-right:1px solid #d5d5d5;
	border-bottom:1px solid #d5d5d5;
	box-shadow: ;
	vertical-align:middle;
}

.tbar_caption
{
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	color: #222;
	text-align: center;
	font-size: 17pt;
	line-height: 23px;
	font-weight: 100;
}
.tbar_program{
	position:relative;
	width:100%;
	text-align:center;
	white-space:nowrap;
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	font-weight:0;
	font-size: 8pt;
	padding:0px;
	margin-top:-16px;
	color: #666;
	font-style: italic;
	text-decoration:none;
}
.tbar_hidden{
	position:relative;
	color: #fff;
	left:-5000px;
}


/* ------------------------------------------- Bottom Bar ------------------------------------------- */

.bbar{
	clear:both;
	margin-right: 0px;
	border-top: 1px solid #a0a0a0;
}
.bbar a{
	font-family: Segoe UI;
	font-size:9pt;
	color: #808080;
}
.bbar a[href]{
	font-size:10pt;
}
.bbar td{
	margin: 0px;
	margin-bottom: 3px;
}




/* ------------------------------------------- Main Section ------------------------------------------- */


.main{
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	font-size: 11pt;
}

div.main{
	padding: 0px 10px 0px 10px;
	margin: 0px;
	/*border:1px solid #f00; */
}
/*
.main h1
{
	color: #222;
	text-align: center;
	font-size: 13pt;
	font-weight: 600;
}
*/
.main h1
{
	color: #06c;
	font-size: 15pt;
	font-weight: 100;
	text-align: center;
	text-indent:0px;
	clear:both;
}
.main h2
{
	font-size: 12pt;
	font-weight: 800;
}
.main p{
	text-indent: 1.5em;
	text-align:justify;
	margin-bottom: 5px;
}
.main p.first{
	margin-top:0px;
}
.main img{
	margin:0;
	padding:0;
	float:right;
	border:none;  
	display:inline;
	/*border:1px solid #000; */
}

kbd img{
	float:none!important;
	margin: 3px 0px 3px 0px!important;
}

.main OL{
	padding: 0px;
    margin-left: 10px;
}
.main OL li{
	padding-left: 10px;
	margin:2px 0px 0px 10px;
}
/*
.main UL{
	padding: 0px;
    margin: 0px;
}
.main UL li{
	text-indent: 0px;
	margin:0px 0px 0px 0px;
	list-style-position: outside!important;
}
.main UL span{
	padding-left: 30px;
	display:inline-block;
}
*/
.main UL{
	padding: 0px;
    margin: 0px;
}
.main UL li{
	padding:0px 0px 0px 10px;
	margin:0px 0px 0px 30px;
	list-style-position: outside!important;
}
.main OL li li{
/*    margin-top: 5px!important;
    margin-bottom: 5px!important;*/
	line-height:2em;
}

ul.sparse li{
	padding-bottom:10px;
}

table.light{
	border-spacing: 0px;
	border-width:0px;
}
.firstcol{
	text-align: left;
	border-right: 1px solid #aaa;
}
.light td{
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	font-size: 11pt;
	padding: 5px;
	border-bottom: 1px dotted #aaa;
}
.light th{
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	font-size: 11pt;
	border-bottom:1px solid #aaa;
	font-weight: normal;
	font-style: italic;
}

.nomargin p{
	margin-top:0px;
	margin-bottom:0px;
}



/* ------------------------------------------- WhatsNew ------------------------------------------- */

.wn_lnk{
	font-size:9pt;
}
.wn_lnk span{
	padding-right:5px;
}
td.wn_lnk{
	width:80px;
	color: #a0a0a0;
}
a.version{
	color: #00f;
	font-size: 13pt;
	font-weight: 700;
}
a.release{
	color: #00f;
	font-size: 13pt;
	font-weight: 700;
}
a.build{
	color: #00f;
	font-weight: 700;
}
.build
{
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	color: #222;
	text-align: center;
	font-size: 13pt;
	font-weight: 600;
}

/* ------------------------------------------- References ------------------------------------------- */

.ref{
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	font-style: italic;
	font-size:110%;
	text-decoration:none;
	word-spacing: 2px;
}
a.ref{
	white-space:normal;
	text-decoration:none;
	border-bottom:none;
}
.ref a{
	border-bottom:1px dotted #09f;
	text-decoration:none;
}
.ref a:link{
	border-bottom:none;
	text-decoration:underline;
}
a.ref:link{
	border-bottom:none;
	text-decoration:underline;
}
/*
.ref a:link{
	border-bottom:1px solid;
	text-decoration:none;
}
a.ref:link{
	border-bottom:1px solid;
	text-decoration:none;
}
*/
/*
a:visited.ref{
	white-space:nowrap;
	color:#00f;
	text-decoration:underline;
}
*/
span.mark{
	display:inline-block;
	background-image: url(images/circle.png);
	background-repeat: no-repeat;
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	font-weight:800;
	font-size: 9pt;
	font-style: normal;
/*	vertical-align: super;*/
	text-align:center;
	width:15px;
	line-height:15px;
	border-bottom: 0px;
	padding-top:0px;
	color: #fff;
	text-indent: 0px;
}
span.mark a{
	font-family: Segoe UI,Verdana, Arial, Helvetica, sans-serif;
	font-weight:800;
	font-size: 9pt;
	font-style: normal;
	vertical-align: super;
	text-align:center;
	width:15px;
	line-height:15px;
	border-bottom: 0px;
	padding-top:0px;
	color: #fff;
	text-indent: 0px;
	text-decoration:none;
}
/*CHMOnly
span.mark a{
	font-size: 7pt;
}
CHMOnly*/

span.ellipse{
	background-image: url(images/ellipse.png);
	width:30px;
}

span.ellipse1{
	background-image: url(images/ellipse1.png);
	width:40px;
}
span.wide{
	background-image: url(images/ellipse_bl.png);
	width:30px;
}
/*
.main a:visited{
	color:#800080!important;
}
*/
.menuref{
	font-style: italic;
	font-size:110%;
/*	white-space:nowrap;*/
	color:#06c;
}
a.menuref:visited{
	color:#800080!important;
}
.menuref2{
	font-style: italic;
/*	white-space:nowrap;*/
	color:#06c;
}
a.menuref2:visited{
	color:#800080!important;
}

/*
.menuref:link, .menuref:visited{
	color:#00f;
}
*/
.tooltip .tooltiptext {
/*	display: none;*/
/*	left:0px;*/
	visibility: hidden;
	background-color: #ccc;
/*	font-weight:500;*/
	color: #000;
	text-align: center;
/*	border:1px solid #bbb;*/
	border-radius: 6px;
	position: absolute;
	padding:7px 10px 7px 10px;
	line-height:17px;
/*
	margin:-35px 0px 0px 10px;
*/
	margin:-35px 0px 0px 0px;
	text-indent: 0px;
	font-style: italic;
	z-index: 1;
/*	box-shadow:0 0 3px rgba(0,0,0,0.5);*/
	box-shadow: 5px 5px 5px rgba(0,0,0,0.8);
}
.tooltip:hover .tooltiptext {
/*	display: inline;*/
  visibility: visible;
}
kbd.flat {
	padding:0px 3px 0px 3px;
	line-height:1.7em;
	text-decoration: none;
	color: #000;
	outline: none;
	border:1px solid #bbb!important;
	background: #dcdcdc;
}
.rus{
	color:#00f!important;
}
.lat{
	color:#000!important;
	font-size:8pt!important;
	vertical-align: bottom;
}
.tool_key{
	display:inline-block;
	padding:2px 2px 2px 2px;
	margin:-2px 0px -2px 0px;
	line-height:1em;
	text-indent: 0px;
	text-align:center;
	text-decoration: none;
/*	vertical-align:bottom;*/
	
	vertical-align:baseline;
	color: #000;
	outline: none;
	border:0px solid #ccc!important;
	background: #dcdcdc linear-gradient(#fff, #dcdcdc);
	box-shadow: 0 0 0 1px #aaa inset, 0 1px 1px #aaa;
	border-radius: 5px;
	min-height:20px;
}
.tool_key a{
	vertical-align:baseline;
}
.key_img{
	text-indent: 0px;
}
.flat_tool_key {
	display:inline-flex;
	padding:2px 2px 2px 2px;
	line-height:1.7em;
	text-align:center;
	text-decoration: none;
	vertical-align:middle;
	color: #000;
	outline: none;
	border-left:1px solid #bbb;
	border-top:1px solid #bbb;
	border-right:2px solid #666;
	border-bottom:2px solid #666;

/*	text-indent: 0px!important;*/
	white-space:nowrap;
	background: #f0f0f0;
}
.fixwidth img{
	text-indent: 0px!important;
}
.btn{
	display:inline-block;
	padding:5px 10px 5px 10px;
	margin:0px;
	line-height:1em;
	text-indent: 0px;
	text-decoration: none;
	vertical-align:middle;
	color: #000;
	outline: none;
	border:0px solid #ccc!important;
	background: #dcdcdc linear-gradient(#fff, #dcdcdc);
	box-shadow: 0 0 0 1px #aaa inset, 0 1px 1px #aaa;
	border-radius: 5px;
}
.flat_btn {
	display:inline-flex;
	padding:2px 2px 2px 2px;
	line-height:1.7em;
	text-decoration: none;
	vertical-align:middle;
	color: #000;
	outline: none;
	border:1px solid #bbb;
/*	background: #dcdcdc;*/
}
img.chk{
	margin:0 5px 0 0;
	padding:0;
	float:none!important;
	border:none;  
	display: inline-block;
	vertical-align:middle;
}
img.cmb{
	margin:0 0 0 5px;
	padding:0;
	float:none!important;
	border:none;  
	display: inline-block;
	vertical-align:middle;
}
img.pic{
	margin:0;
	padding:0;
	float:none!important;
	border:none;  
	display: inline-block;
	vertical-align:text-bottom;
}
img.btn{
	padding:1px 1px 1px 1px;
	margin:0px;
	float:none!important;
	border:none;  
	display: inline-block;
	vertical-align:baseline;
	color: #000;
	outline: none;
	border:0px solid #ccc!important;
	background: #dcdcdc linear-gradient(#fff, #dcdcdc);
	box-shadow: 0 0 0 1px #aaa inset, 0 1px 1px #aaa;
	border-radius: 3px;
}
a.path{
	font-family:Courier New,Courier,monospace;
}
a.boldpath{
	font-family:Courier New,Courier,monospace;
	font-weight:600;
}
span.cmb{
	vertical-align:middle!important;
}
span.chk a{
	vertical-align:middle!important;
}
span.chk{
	border:#bbb 1px dashed;
	padding:3px 6px 3px 6px!important;
	display:inline-block;
	margin:-3px 0px 0px 0px;
	text-indent:0px;
	background: #dcdcdc linear-gradient( #f0f0f0,#fff);
}
span.box{
	border:#bbb 1px dashed;
	padding:3px 6px 3px 6px!important;
	margin:-3px 0px 0px 0px;
	display:inline-block;
	text-indent:0px;
	background: #dcdcdc linear-gradient( #f0f0f0,#fff);
}
.noborder{
/*	margin: -9px 0px -5px 0px;*/
	/*line-height:auto;*/
	border:none!important;
	background: inherit;
	box-shadow: none;
}
span.edit{
	margin: -1px 3px 0px 3px;
	text-indent: 0px;
/*	line-height:auto;*/
	line-height: 17px;
	border:1px solid #abadb3;
	background: #fff;
	box-shadow: none;
	vertical-align:middle!important;
	display:inline-block;
}
.ensp{
	display:inline-block;
	width:5px;
	height:1px;
}
.tool_key img,.flat_tool_key img, img.tool_key{
	margin:0;
	padding:0;
	float:none!important;
	border:none;
	display:inline;
	vertical-align: middle
}

ul.btnlist{
	padding-left: 1.5em;
	list-style-type: none;
}
.btnlist li{
	text-indent: -40px;
    padding-left: 0;
    margin-left: 40px!important;
    margin-top: 5px!important;
    margin-bottom: 5px!important;
	/*
	margin:10px 40px 10px auto!important;
	*/
}
.btnlist li li{
	text-indent: 0px;
	padding:0px 0px 0px 10px;
	margin:0px 0px 0px 30px;
	list-style-position: outside!important;
}
.btnlist ul{
	margin-bottom:10px;
}

ul.btnlist_align_left{
	padding-left: 0px;
	list-style-type: none;
}
.btnlist_align_left li{
	padding-left: 20px!important;
	text-indent: -20px!important;
	margin-left: 0px!important;
}

ul.btnlist_align_left ul{
	list-style-type: circle;
}
ul.btnlist_align_left ul li{
    margin-left: 40px!important;
    padding-left: 10px!important;
	text-indent: 0px!important;
}

.short{
	color:#666;
}

/* ------------------------------------------- Usefull ------------------------------------------- */

img.mintextwidth{ /* Image, used for min text size in float-left section */
	display:block;
	float:none!important;
	line-height:1px;
	margin:0px;
	padding:0px;
/*	border:1px solid #000;*/
}
.nw{ /* NoWrap Elements */
	white-space:nowrap;
}
map.hidden{
	display:none;
}

ul.topmenu li{
	position:relative;
	float:left;
	/*display:inline;*/
	list-style-type: none;
	margin:0px 0px 0px 0px;
	padding:0px 10px 0px 10px;
/*	border-bottom:1px dashed #06c;*/
}
ul.topmenu li a{
	white-space:nowrap;
	border-bottom:1px dashed #000;
	color: #000;
	text-decoration:none;
	font-size:10pt;
}
ul.topmenu li ul{
	background-color:#f0f0f0;
	position:absolute;
	clear:both;
	float:none;
	display:none;
	border-radius: 6px;
	padding:7px 10px 7px 10px;
	margin:0px 0px 0px 0px;
	list-style-type:none;
	text-indent: 0px;
	z-index: 1;
	box-shadow: 5px 5px 5px rgba(0,0,0,0.8);
}
ul.chm li{
	position:static;
}
/*
ul.chm li ul{
	margin:1px 0px 0px 0px;
}
*/
ul.topmenu li.havesub:hover ul{
	display:block;
}
ul.topmenu li ul li{
	clear:both;
	float:none;
	display:block;
	margin:0px 0px 7px 0px;
	padding:0px;
	border-bottom:none;
}
ul.topmenu li a:hover{
	border-bottom:1px dashed #06c;
	color: #06c;
}
a.topmenu_btn{
	display:none;
}

body.touchscreen a.topmenu_btn{
	display:inline!important;
	border-bottom:none;
}
body.touchscreen a.topmenu_btn:focus>ul{
	display:block;
	border-bottom:none;
}  
.see_also{
/*	text-align: center!important;
	text-indent:0px!important;*/
	clear:both;
	font-size:10pt;
}

.see_also a{
/*	text-align: center!important;
	text-indent:0px!important;*/
	white-space:nowrap;
	margin-left:10px;
	text-decoration:none;
	border-bottom:1px dotted #09f;
}
.chapter{
	font-weight:700;
	font-size: 12pt;
}
.subitem{
	border-bottom:1px dotted #09f;
	text-decoration:none;
	font-size:13pt;
	/*background-color:#ddf;*/
}
.nb{
	width: fit-content;
	background-color:#ddf;
/*	-webkit-box-shadow: inset -5px -5px 5px 5px#888;*/
	box-shadow: inset 0px 0px 2px 3px #88f;
	padding:12px 15px 12px 15px;
	position:relative;
	text-indent:0px!important;
}
.nb b{
	margin:0px 20px 0px 20px;
	color:#008;
}
.item_cap{
	border-bottom:1px dotted #09f;
	padding:0px 3px 0px 3px;
	font-weight:700;
	font-size: 10pt;
/*	
	border-left:1px dotted #09f;
	font-family: Arial, Helvetica, sans-serif;
	font-style: italic;
	color:#080;
	font-weight:800;
	color: #355681;
	text-shadow: 0 -1px 1px rgba(0,0,0,0.4);
	text-shadow:0px 0px 2px #000;
*/
}

.plugin_available{
	font-size: 8pt!important;
	color:#888;
}

p.center{
	text-indent:0px;
	text-align:center;
}

.footnote{
  vertical-align: super; /* поместить на линию верхнего индекса */ 
  font-size: 60%; /* уменьшить шрифт цифры */ 
  margin-left: .1em;
  text-decoration:none;
}

/*CHMOnly
span.chk{
	text-indent:-40px;
}
img.chk{
	text-indent:0px;
}
span.chk a{
	text-indent:0px;
}
CHMOnly*/